# Class: YARD::Templates::Helpers::Markup::RDocMarkdown

Inherits:
  RDocMarkup
  - Object
  - RDocMarkup
  - YARD::Templates::Helpers::Markup::RDocMarkdown
  show all

Defined in:
  lib/yard/templates/helpers/markup/rdoc_markdown.rb

## Instance Method Summary collapse

- #fix_typewriter(html) ⇒ Object
- #initialize(text) ⇒ RDocMarkdown constructor

  A new instance of RDocMarkdown.

## Constructor Details

### #initialize(text) ⇒ `RDocMarkdown`

Returns a new instance of RDocMarkdown.

    14
    15
    16

    # File 'lib/yard/templates/helpers/markup/rdoc_markdown.rb', line 14

    def initialize(text)
      super RDoc::Markdown.new.parse(text)
    end

## Instance Method Details

### #fix_typewriter(html) ⇒ `Object`

    18

    # File 'lib/yard/templates/helpers/markup/rdoc_markdown.rb', line 18

    def fix_typewriter(html) html end